Bug 211329 - graphics/exiv2: update to 0.25
Summary: graphics/exiv2: update to 0.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-24 08:40 UTC by Tobias C. Berner
Modified: 2016-07-27 10:28 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Update graphics/exiv2 to 0.25 and bump PORTREVISIONS (18.24 KB, patch)
2016-07-24 08:40 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2016-07-24 08:40:46 UTC
Created attachment 172920 [details]
Update graphics/exiv2 to 0.25 and bump PORTREVISIONS

I would like to ask for an exp-run to update graphics/exiv2 to 0.25.


The patch can be found in the review [1] and is also attached.


[1] https://reviews.freebsd.org/D7283
Comment 1 Antoine Brodin freebsd_committer 2016-07-26 21:43:01 UTC
Exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2016-07-27 10:23:08 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jul 27 10:22:30 UTC 2016
New revision: 419170
URL: https://svnweb.freebsd.org/changeset/ports/419170

Log:
  Update graphics/exiv2 to 0.25.

  As there is an shlib version bump, bump them portrevision of dependent ports.

  While doing so, also switch to the cmake build system, as it requires less
  patching and is easier to handle.

  PR:             211329
  Reviewed by:    mat, rakuco, kwm
  Approved by:    rakuco (mentor)
  Differential Revision:  https://reviews.freebsd.org/D7283

Changes:
  head/astro/merkaartor/Makefile
  head/deskutils/libstreamanalyzer/Makefile
  head/deskutils/pinot/Makefile
  head/graphics/darktable/Makefile
  head/graphics/exiv2/Makefile
  head/graphics/exiv2/distinfo
  head/graphics/exiv2/files/patch-src-Makefile
  head/graphics/exiv2/files/patch-src_CMakeLists.txt
  head/graphics/exiv2/pkg-plist
  head/graphics/geeqie/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gexiv2/Makefile
  head/graphics/gimp-lensfun-plugin/Makefile
  head/graphics/gnome-color-manager/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/gwenview-kde4/Makefile
  head/graphics/hugin/Makefile
  head/graphics/kphotoalbum-kde4/Makefile
  head/graphics/libkexiv2-kde4/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/nomacs/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/phototonic/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/rawstudio/Makefile
  head/graphics/shotwell/Makefile
  head/graphics/ufraw/Makefile
  head/graphics/viewnior/Makefile
  head/sysutils/bulk_extractor/Makefile
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/krename-kde4/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/textproc/libextractor/Makefile
  head/x11/kde4-runtime/Makefile
  head/x11-fm/gnome-commander2/Makefile